<?php

// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Strings for component 'cachestore_redis', language 'sk', branch 'MOODLE_36_STABLE'
 *
 * @package   cachestore_redis
 * @copyright 1999 onwards Martin Dougiamas  {@link http://moodle.com}
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['database'] = 'Číslo databázy';
$string['database_help'] = 'V ideálnom prípade by ste mali určiť jedinečné číslo databázy pre každý obchod.

Rôzne inštalácie by nikdy nemali zdieľať jednu databázu Redis.';
$string['errordatabasenegative'] = 'Databáza musí byť 0 alebo kladné celé číslo.';
$string['password'] = 'Heslo';
$string['password_help'] = 'Tu sa nastavuje heslo pre Redis server.';
$string['pluginname'] = 'Redis';
$string['prefix'] = 'Predvoľba kľúča';
$string['prefix_help'] = 'Táto predpona sa používa pre všetky názvy kľúčov na serveri Redis.
* Ak máte len jednu inštanciu Totara pomocou tohto servera, túto hodnotu môžete ponechať ako predvolenú.
* Z dôvodu obmedzenia dĺžky kľúčov je povolené maximálne 5 znakov.';
$string['prefixinvalid'] = 'Chybná predpona. Môžete použiť iba a-z A-Z 0-9-_.';
$string['read_password'] = 'Prečítajte si repliku hesla';
$string['read_password_help'] = 'Toto nastavuje heslo prečítaného replikovaného servera Redis.';
$string['read_server'] = 'Čítať replikačný server';
$string['read_server_help'] = 'Ak máte prostredie s redis čítanými replikami, tu zadajte adresu nástroja na vyrovnávanie zaťaženia replík';
$string['sentinelhosts'] = 'Hostitelia Sentinel';
$string['sentinelhosts_help'] = 'Redis Sentinel je riešenie vysokej dostupnosti pre Redis. Poskytuje monitorovanie, zlyhanie a zjednodušuje konfiguráciu.

Použite zoznam sentinelov oddelených čiarkami vo formáte „host1: port, host2: port, host3: port“, zásuvky Unix nie sú podporované.

Ak je zadané, voľba Server sa nepoužíva a voľba Heslo sa používa pre hlavný server vrátený zo sentinelu.';
$string['sentinelmaster'] = 'Hlavné meno Sentinel';
$string['sentinelmaster_help'] = 'Interné hlavné meno v konfigurácii Redis Sentinel';
$string['sentinelpassword'] = 'Heslo Sentinel';
$string['serializer_igbinary'] = 'Igbinárny serializátor.';
$string['serializer_php'] = 'Prednastavený PHP serializátor.';
$string['server'] = 'Server';
$string['server_help'] = 'Tým sa nastaví názov hostiteľa alebo adresa IP servera Redis, ktorý sa má použiť.';
$string['test_database'] = 'Redis testovacia databáza';
$string['test_database_desc'] = 'Znova zadajte číslo testovacej databázy na testovacom serveri.';
$string['test_password'] = 'Heslo Redis testovacieho servera';
$string['test_password_desc'] = 'Redis heslo testovacieho servera.';
$string['test_read_password'] = 'Znova prečítajte heslo repliky';
$string['test_read_password_desc'] = 'Znova prečítajte heslo repliky.';
$string['test_read_server'] = 'Znova prečítajte server na čítanie replík';
$string['test_read_server_desc'] = 'Znova prečítajte replikovaný server, ktorý sa použije na testovanie.';
$string['test_sentinelhosts'] = 'Redis testuje hostiteľov Sentinelu';
$string['test_sentinelhosts_desc'] = 'Na testovanie MUC sa používajú hostitelia Redis Sentinel.';
$string['test_sentinelmaster'] = 'Redis test Sentinel hlavné meno';
$string['test_sentinelmaster_desc'] = 'Hlavné meno Redis Sentinel používané na testovanie MUC.';
$string['test_sentinelpassword'] = 'Znova vyskúšajte heslo Sentinel';
$string['test_sentinelpassword_desc'] = 'Heslo Redis Sentinel použité na testovanie MUC.';
$string['test_serializer'] = 'Serializér';
$string['test_serializer_desc'] = 'Serializér používaný pre testovanie.';
$string['test_server'] = 'Testovací server Redis';
$string['test_server_desc'] = 'Redis server použitý na testovanie';
$string['useserializer'] = 'Použiť serializér.';
$string['useserializer_help'] = 'Určuje serializátor, ktorý sa má použiť na serializáciu. Platné serializátory sú
Redis::SERIALIZER_PHP alebo Redis::SERIALIZER_IGBINARY. Druhá je podporovaná iba vtedy, keď je phpredis nakonfigurovaný s možnosťou -enable-redis-igbinary a je vložené igbinary rozšírenie.';
$string['useserializer_warning'] = 'Serializátor sa nesmie meniť, ak už v cache existujú nejaké dáta.';
