<?php

// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Strings for component 'tool_oauth2', language 'sk', branch 'MOODLE_36_STABLE'
 *
 * @package   tool_oauth2
 * @copyright 1999 onwards Martin Dougiamas  {@link http://moodle.com}
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['authconfirm'] = 'Táto akcia umožní trvalý prístup API k Totare pre autentizovaný účet. Nastavenie je určené na použitie ako systémový účet na správu súborov vo vlastníctve Totary.';
$string['authconnected'] = 'Systémový účet je teraz pripojený pre offline prístup';
$string['authnotconnected'] = 'Systémový účet nebol pripojený pre offline prístup';
$string['configured'] = 'Nakonfigurované';
$string['configuredstatus'] = 'Nakonfigurované';
$string['connectsystemaccount'] = 'Pripojte sa k systémovému účtu';
$string['createfromtemplate'] = 'Vytvorte službu OAuth 2 pomocou šablóny';
$string['createfromtemplatedesc'] = 'Vyberte si jednu zo šablón služby OAuth 2 nižšie a vytvorte službu OAuth s platnou konfiguráciou pre jeden zo známych typov služieb. Týmto sa vytvorí služba OAuth 2 so všetkými správnymi koncovými bodmi a parametrami požadovanými na autentifikáciu, aj keď pred použitím novej služby budete musieť ešte zadať ID a secret klienta.';
$string['createnewendpoint'] = 'Vytvoriť nový koncový bod pre poskytovateľa „{$a}“';
$string['createnewfacebookissuer'] = 'Vytvorte novú službu Facebook';
$string['createnewgoogleissuer'] = 'Vytvorte novú službu Google';
$string['createnewissuer'] = 'Vytvorte novú vlastnú službu';
$string['createnewmicrosoftissuer'] = 'Vytvorte novú službu Microsoft';
$string['createnewnextcloudissuer'] = 'Vytvorte novú službu Nextcloud';
$string['createnewuserfieldmapping'] = 'Vytvoriť nové mapovanie používateľských polí pre poskytovateľa „{$a}“';
$string['deleteconfirm'] = 'Naozaj chcete odstrániť poskytovateľa identity „{$a}“? Akékoľvek doplnky spoliehajúce sa na tohto poskytovateľa prestanú fungovať.';
$string['deleteendpointconfirm'] = 'Naozaj chcete odstrániť koncový bod „{$a->endpoint}“ pre poskytovateľa „{$a->issuer}“? Akékoľvek doplnky spoliehajúce sa na tento koncový bod prestanú fungovať.';
$string['deleteuserfieldmappingconfirm'] = 'Naozaj chcete odstrániť priradenie používateľských polí k poskytovateľovi „{$a}“?';
$string['discovered'] = 'Zistenie služby bolo úspešné';
$string['discovered_help'] = 'Zistenie znamená, že koncové body OAuth 2 sa dajú automaticky určiť zo základnej adresy URL pre službu OAuth. Nie všetky služby musia byť „nájdené“, ale ak nie sú, bude potrebné zadávať koncové body a informácie o mapovaní používateľov ručne.';
$string['discoverystatus'] = 'Nájsť';
$string['editendpoint'] = 'Upraviť koncový bod: {$a->endpoint} pre poskytovateľa {$a->issuer}';
$string['editendpoints'] = 'Nakonfigurujte koncové body';
$string['editissuer'] = 'Upraviť poskytovateľa identity: {$a}';
$string['edituserfieldmapping'] = 'Úprava mapovania používateľských polí pre poskytovateľa {$a}';
$string['edituserfieldmappings'] = 'Nakonfigurujte priradenia používateľských polí';
$string['endpointdeleted'] = 'Koncový bod bol odstránený';
$string['endpointname'] = 'Meno';
$string['endpointname_help'] = 'Kľúč používaný na vyhľadanie tohto koncového bodu. Musí sa končiť koncovkou „_endpoint“.';
$string['endpointsforissuer'] = 'Koncové body pre poskytovateľa: {$a}';
$string['endpointurl'] = 'URL';
$string['endpointurl_help'] = 'URL tohto koncového bodu. Musíte použiť protokol https: //

Adresy URL koncových bodov poskytuje váš poskytovateľ protokolu OAuth a nemali by odkazovať na inštaláciu systému Totara.';
$string['issueralloweddomains'] = 'Prihlasovacie domény';
$string['issueralloweddomains_help'] = 'Ak je nastavené, toto nastavenie je zoznamom domén oddelených čiarkami, na ktoré bude pri použití tohto poskytovateľa obmedzené prihlásenie.';
$string['issuerbaseurl'] = 'Základná adresa URL služby';
$string['issuerbaseurl_help'] = 'Základná adresa URL používaná na prístup k službe.';
$string['issuerclientid'] = 'ID klienta';
$string['issuerclientid_help'] = 'ID klienta OAuth pre tohto poskytovateľa.';
$string['issuerclientsecret'] = 'Tajný kľúč klienta';
$string['issuerclientsecret_help'] = 'Tajný kľúč klienta OAuth pre tohto poskytovateľa.';
$string['issuerdeleted'] = 'Poskytovateľ identity bol odstránený';
$string['issuerdisabled'] = 'Poskytovateľ identity je deaktivovaný';
$string['issuerenabled'] = 'Poskytovateľ identity je povolený';
$string['issuerimage'] = 'Adresa URL loga';
$string['issuerimage_help'] = 'Adresa URL obrázka použitá na zobrazenie loga tohto poskytovateľa. Môže byť zobrazené na prihlasovacej stránke.';
$string['issuerloginparams'] = 'Ďalšie parametre zahrnuté v žiadosti o prihlásenie.';
$string['issuerloginparams_help'] = 'Niektoré systémy vyžadujú ďalšie parametre žiadosti o prihlásenie, aby si mohli prečítať základný profil používateľa.';
$string['issuerloginparamsoffline'] = 'Ďalšie parametre zahrnuté v žiadosti o prihlásenie pre offline prístup.';
$string['issuerloginparamsoffline_help'] = 'Každý systém OAuth definuje iný spôsob, ako požiadať o prístup offline. Napríklad Google vyžaduje ďalšie parametre: „access_type = offline &amp; prompt = súhlas“. Tieto parametre by mali byť vo formáte parametra dotazu URL.';
$string['issuerloginscopes'] = 'Rozsahy zahrnuté v žiadosti o prihlásenie.';
$string['issuerloginscopes_help'] = 'Niektoré systémy vyžadujú pre požiadavku na prihlásenie ďalšie rozsahy, aby si mohli prečítať základný profil používateľa. Štandardné oblasti pre systém kompatibilný s OpenID Connect sú „e-mail s profilom openid“.';
$string['issuerloginscopesoffline'] = 'Rozsahy zahrnuté v žiadosti o prihlásenie pre offline prístup.';
$string['issuerloginscopesoffline_help'] = 'Každý systém OAuth definuje iný spôsob, ako požiadať o prístup offline. Napríklad Microsoft vyžaduje ďalší rozsah „offline_access“.';
$string['issuername'] = 'Meno';
$string['issuername_help'] = 'Meno poskytovateľa identity. Môžu byť zobrazené na prihlasovacej stránke.';
$string['issuername_microsoft'] = 'Názov';
$string['issuername_microsoft_help'] = 'Názov vydavateľa identifikačných údajov. Tento údaj sa zobrazí na prihlasovacej stránke, pokiaľ nie je povolené predvolené označenie značky Microsoft.';
$string['issuerrequireconfirmation'] = 'Vyžadovať overenie e-mailom';
$string['issuerrequireconfirmation_help'] = 'Pred prihlásením pomocou protokolu OAuth požadujte, aby všetci používatelia overili svoju e-mailovú adresu. To platí pre novovytvorené účty ako súčasť procesu prihlásenia alebo vtedy, keď je existujúci účet Totara pripojený k prihláseniu OAuth prostredníctvom zodpovedajúcich e-mailových adries.';
$string['issuers'] = 'Poskytovatelia';
$string['issuersetup'] = 'Podrobné pokyny na konfiguráciu bežných služieb OAuth 2';
$string['issuersetuptype'] = 'Podrobné pokyny na nastavenie poskytovateľa {$a} OAuth 2';
$string['issuershowonloginpage'] = 'Zobraziť na prihlasovacej stránke';
$string['issuershowonloginpage_help'] = 'Ak je povolený overovací doplnok OAuth 2, tento poskytovateľ prihlásenia bude uvedený na prihlasovacej stránke, aby používateľom umožňoval prihlásenie pomocou účtov od tohto poskytovateľa.';
$string['loginissuer'] = 'Povoliť prihlásenie';
$string['notconfigured'] = 'Nie je nakonfigurované';
$string['notdiscovered'] = 'Zistenie služby nebolo úspešné';
$string['notloginissuer'] = 'Nepovoliť prihlásenie';
$string['pluginname'] = 'Služby OAuth 2';
$string['savechanges'] = 'Uložiť zmeny';
$string['serviceshelp'] = 'Pokyny na nastavenie poskytovateľa služieb.';
$string['show_default_branding_microsoft'] = 'Zobrazenie predvolenej značky Microsoft';
$string['show_default_branding_microsoft_help'] = 'Predvolená značka Microsoft je v súlade s usmerneniami spoločnosti Microsoft pre dizajn. Odporúča sa, aby bolo toto nastavenie povolené.';
$string['systemaccountconnected'] = 'Systémový účet je pripojený';
$string['systemaccountconnected_help'] = 'Systémové účty sa používajú na zabezpečenie pokročilých funkcií doplnkov. Nevyžadujú sa iba kvôli funkcii prihlásenia, ale iné doplnky používajúce službu OAuth môžu ponúkať obmedzenú sadu funkcií, ak nie je pripojený systémový účet. Úložiská napríklad nemôžu podporovať „kontrolované odkazy“ bez systémového účtu na vykonávanie operácií so súbormi.';
$string['systemaccountnotconnected'] = 'Systémový účet nie je pripojený';
$string['systemauthstatus'] = 'Systémový účet je pripojený';
$string['usebasicauth'] = 'Overujte žiadosti o tokeny pomocou hlavičiek HTTP';
$string['usebasicauth_help'] = 'Pri odosielaní ID a hesla klienta s požiadavkou na obnovovací token využite základnú autentifikačnú schému HTTP. Odporúča sa štandardom OAuth 2, ale nemusí byť k dispozícii u niektorých poskytovateľov.';
$string['userfieldexternalfield'] = 'Názov externého poľa';
$string['userfieldexternalfield_error'] = 'Toto pole nemôže obsahovať HTML.';
$string['userfieldexternalfield_help'] = 'Názov poľa poskytovaného externým systémom OAuth.';
$string['userfieldinternalfield'] = 'Názov interného poľa';
$string['userfieldinternalfield_help'] = 'Názov poľa používateľa Totara, ktoré by sa malo mapovať z externého poľa.';
$string['userfieldmappingdeleted'] = 'Mapovanie polí používateľa bolo odstránené';
$string['userfieldmappingsforissuer'] = 'Mapovania používateľských polí pre poskytovateľa: {$a}';
