<?php

// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Strings for component 'tool_usertours', language 'sk', branch 'MOODLE_36_STABLE'
 *
 * @package   tool_usertours
 * @copyright 1999 onwards Martin Dougiamas  {@link http://moodle.com}
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['above'] = 'Vyššie';
$string['actions'] = 'Akcie';
$string['appliesto'] = 'Platí pre';
$string['backdrop'] = 'Zobraziť s pozadím';
$string['backdrop_help'] = 'Môžete použiť pozadie, aby ste zvýraznili časť stránky, na ktorú chcete upriamiť pozornosť.

Poznámka: Pozadia nie sú kompatibilné s niektorými časťami stránky, napríklad s navigačnou lištou.';
$string['below'] = 'Nižšie';
$string['block'] = 'Blok';
$string['block_named'] = 'Blok s názvom "{$a}"';
$string['cachedef_stepdata'] = 'Zoznam používateľských krokov';
$string['cachedef_tourdata'] = 'Zoznam povolených informácií o prehliadkach používateľov, ktoré sa načítavajú na každej stránke';
$string['confirmstepremovalquestion'] = 'Naozaj chcete odstrániť tento krok?';
$string['confirmstepremovaltitle'] = 'Potvrďte odstránenie kroku';
$string['confirmtourremovalquestion'] = 'Naozaj chcete odstrániť túto prehliadku?';
$string['confirmtourremovaltitle'] = 'Potvrďte odstránenie prehliadky';
$string['content'] = 'Obsah';
$string['content_heading'] = 'Obsah';
$string['content_help'] = 'Obsah, ktorý opisuje tento krok, môže byť pridaný ako obyčajný text, ktorý je priložený do multilang tagov (pre použitie s filtrom pre viacjazyčný obsah), ak je to potrebné.

Alternatívne sa môže identifikácia jazykového reťazca vložiť do identifikátora formátu, komponentu (bez zátvoriek alebo medzery po čiarke).';
$string['cssselector'] = 'CSS selektor';
$string['defaultvalue'] = 'Predvolené ({$a})';
$string['delay'] = 'Odložte pred zobrazením kroku';
$string['delay_help'] = 'Môžete si zvoliť pridanie oneskorenia pred zobrazením kroku.

Toto oneskorenie je v milisekundách.';
$string['description'] = 'Popis';
$string['done'] = 'Hotový';
$string['editstep'] = 'Úprava "{$a}"';
$string['enabled'] = 'Povolené';
$string['endtour'] = 'Koniec prehliadky';
$string['event_step_shown'] = 'Zobrazený krok';
$string['event_tour_ended'] = 'Prehliadka skončila';
$string['event_tour_reset'] = 'Vynulovanie prehliadky';
$string['event_tour_started'] = 'Prehliadka začala';
$string['exporttour'] = 'Exportovať prehliadku';
$string['filter_category'] = 'Kategória';
$string['filter_category_help'] = 'Zobraziť prehliadku na stránke, ktorá je spojená s kurzom vo vybranej kategórii.';
$string['filter_course'] = 'Kurzy';
$string['filter_courseformat'] = 'Formát kurzu';
$string['filter_courseformat_help'] = 'Prehliadku zobrazte na stránke spojenej s kurzom vo vybranom formáte kurzu.';
$string['filter_course_help'] = 'Zobraziť prehliadku na stránke, ktorá je spojená s vybraným kurzom.';
$string['filter_header'] = 'Filtre prehliadky';
$string['filter_help'] = 'Vyberte podmienky, za ktorých sa bude prehliadka zobrazovať. Všetky filtre sa musia zhodovať s prehliadkou, ktorá sa používateľovi zobrazí.';
$string['filter_role'] = 'Rola';
$string['filter_role_help'] = 'Prehliadka môže byť obmedzená na používateľov s vybranými rolami v kontexte, kde sa zobrazuje prehliadka. Napríklad, obmedzenie prehliadky Nástenky na používateľov s rolou študentov nebude fungovať, ak používatelia budú mať rolu študenta iba v kontexte kurzu (ako je tomu vo všeobecnosti). Prehliadka nástenky môže byť obmedzená len na používateľov s rolou systému.';
$string['filter_theme'] = 'Téma';
$string['filter_theme_help'] = 'Zobrazte prehliadku, keď používateľ používa jednu z vybratých tém.';
$string['importtour'] = 'Importovať prehliadku';
$string['left'] = 'Vľavo';
$string['modifyshippedtourwarning'] = 'Toto je prehliadka používateľa, ktorá bola dodaná s Totarou. Všetky zmeny, ktoré vykonáte, môžu byť počas ďalšej inovácie stránok odstránené.';
$string['movestepdown'] = 'Posuňte krok nadol';
$string['movestepup'] = 'Posuňte krok nahor';
$string['movetourdown'] = 'Posuňte prehliadku nadol';
$string['movetourup'] = 'Posuňte prehliadku nahor';
$string['name'] = 'Názov';
$string['newstep'] = 'Nový krok';
$string['newtour'] = 'Vytvorte novú prehliadku';
$string['next'] = 'Ďalej';
$string['options_heading'] = 'Možnosti';
$string['orphan'] = 'Zobraziť, ak sa nenachádza cieľ';
$string['orphan_help'] = 'Ukážte krok, ak cieľ nemôže byť nájdený na stránke.';
$string['pathmatch'] = 'Použiť na priradenie adresy URL';
$string['pathmatch_help'] = 'Prehliadky sa zobrazia na každej stránke, ktorej adresa URL zodpovedá tejto hodnote.

Môžete použiť znak% ako zástupný znak. Príklady použitia:
* /my/% - mali by byť pridelené Nástenke
* /course/view.php?id=2 - aby zodpovedali určitému kurzu
* /mod/forum/view.php% - aby zodpovedali zoznamu diskusných fór
* /user/profile.php% - aby sa zhodovala so stránkou profilu používateľa

Ak chcete zobraziť prehliadku na domovskej stránke stránky, môžete použiť hodnotu: "FRONTPAGE".';
$string['pausetour'] = 'Pauza';
$string['placement'] = 'Umiestnenia';
$string['placement_help'] = 'Krok môže byť umiestnený nad, pod, vľavo alebo vpravo od cieľa. Odporúča sa umiestňovať nad alebo pod, pretože tieto sa lepšie prispôsobia pre mobilné zobrazenie.

Ak sa krok nezhoduje s konkrétnou stránkou na určenom mieste, automaticky sa umiestni inde.';
$string['pluginname'] = 'Prehliadky používateľa';
$string['reflex'] = 'Pokračujte kliknutím';
$string['reflex_help'] = 'Pokračujte na ďalší krok, keď je kliknuté na cieľ.';
$string['resettouronpage'] = 'Obnovte prehliadku používateľa na tejto stránke';
$string['resumetour'] = 'Pokračovať';
$string['right'] = 'Vpravo';
$string['select_block'] = 'Vyberte blok';
$string['selector_defaulttitle'] = 'Zadajte popisný názov';
$string['selectordisplayname'] = 'Selektor CSS zodpovedajúci typu "{$a}"';
$string['selecttype'] = 'Vyberte typ kroku';
$string['sharedtourslink'] = 'Úložisko prehliadok';
$string['skip'] = 'Preskočiť';
$string['target'] = 'Cieľová oblasť';
$string['target_block'] = 'Blok';
$string['target_heading'] = 'Krok cieľovej oblasti';
$string['target_selector'] = 'Selektor';
$string['target_selector_targetvalue'] = 'CSS selektor';
$string['target_selector_targetvalue_help'] = 'Selektor CSS môžete použiť na zacielenie takmer na ľubovoľný prvok na stránke. Vhodný výber môžete ľahko nájsť pomocou nástrojov pre vývojárov pre váš webový prehliadač.';
$string['targettype'] = 'Typ cieľovej oblasti';
$string['targettype_help'] = 'Každý krok je spojený s časťou stránky - cieľovou oblasťou. Cieľové oblasti sú:

* Blok - pre zobrazenie kroku vedľa zadaného bloku
* CSS selektor - pre presné vymedzenie cieľovej oblasti pomocou CSS
* Zobraziť v strede stránky - pre krok, ktorý nemusí byť priradený ku konkrétnej časti strany';
$string['target_unattached'] = 'Zobraziť v strede stránky';
$string['title'] = 'Názov';
$string['title_help'] = 'Názov kroku môže byť pridaný ako obyčajný text, ktorý je vložený do multilang tagov (pre použitie s filtrom pre viacjazyčný obsah), ak je to potrebné.

Alternatívne, sa môže ID jazykového reťazca vložiť do identifikátora formátu, komponentu (bez zátvoriek alebo medzery po čiarke).';
$string['tourconfig'] = 'Súbor konfigurácie prehliadky určený na import';
$string['tourisenabled'] = 'Prehliadka je povolená';
$string['tourlist_explanation'] = 'Môžete si vytvoriť toľko prehliadok, koľko chcete, a povoliť ich pre rôzne časti Totara. Na jednej stránke môže byť vytvorená iba jedna prehliadka.';
$string['tour_resetforall'] = 'Stav prehliadky bol vynulovaný. Zobrazí sa opätovne všetkým používateľom.';
$string['tours'] = 'Prehliadky';
$string['usertours'] = 'Prehliadky používateľa';
$string['usertours:managetours'] = 'Vytvárajte, upravujte a odstraňujte prehliadky používateľov';
$string['viewtour_edit'] = 'Môžete <a href="{$a->editlink}">upraviť predvolené hodnoty prehliadky</a> a <a href="{$a->resetlink}">vynútiť, aby sa prehliadka zobrazila</a> všetkým používateľom.';
$string['viewtour_info'] = 'Toto je prehliadka "{$a->tourname}". Platí pre cestu "{$a->path}".';
