<?php

// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Strings for component 'webservice', language 'sk', branch 'MOODLE_36_STABLE'
 *
 * @package   webservice
 * @copyright 1999 onwards Martin Dougiamas  {@link http://moodle.com}
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['accessexception'] = 'Výnimka v riadení prístupu';
$string['actwebserviceshhdr'] = 'Aktívne protokoly web služieb';
$string['addaservice'] = 'Pridať službu';
$string['addcapabilitytousers'] = 'Skontrolovať schopnosť používateľov';
$string['addcapabilitytousersdescription'] = 'Používatelia by mali mať dve právomoci - webservice:createtoken a právomoc porovnávať použité protokoly, napríklad webservice/rest:use, webservice/soap:use. Aby to bolo možné dosiahnuť, vytvorte rolu webovej služby s povolenými príslušnými právomocami a priraďte ju k používateľovi webovej služby ako systémovú rolu.';
$string['addfunction'] = 'Pridať funkciu';
$string['addfunctionhelp'] = 'Vybrať funkciu, ktorá bude pridaná k službe';
$string['addfunctions'] = 'Pridať funkcie';
$string['addfunctionsdescription'] = 'Vybrať požadovanú funkciu pre novo vytvorenú službu.';
$string['addrequiredcapability'] = 'Priradiť/zrušiť priradenie požadovanej schopnosti';
$string['addservice'] = 'Pridať novú službu: {$a->name} (identifikátor: {$a->id})';
$string['addservicefunction'] = 'Pridať funkcie k službe "{$a}"';
$string['allusers'] = 'Všetci používatelia';
$string['apiexplorer'] = 'API preskumík';
$string['apiexplorernotavalaible'] = 'API prieskumník ešte nie je dostupný.';
$string['arguments'] = 'Parametre';
$string['authmethod'] = 'Metóda autentifikácie';
$string['callablefromajax'] = 'Volateľný z AJAX-u';
$string['cannotcreatetoken'] = 'Žiadne povolenie na vytvorenie tokenu webovej služby pre službu {$a}.';
$string['cannotgetcoursecontents'] = 'Nedá sa získať obsah kurzu';
$string['checkusercapability'] = 'Skontrolovať schopnosti používateľa';
$string['checkusercapabilitydescription'] = 'Používateľ by mal mať príslušné právomoci podľa použitých protokolov, napr. webservice/rest:use, webservice/soap:use.  Aby to bolo možné dosiahnuť, vytvorte rolu webovej služby s povolenými protokolovými schopnosťami a priraďte ju používateľovi webových služieb ako systémovú rolu.';
$string['configwebserviceplugins'] = 'Z bezpečnostných dôvodov by mali byť povolené iba protokoly, ktoré sa používajú.';
$string['context'] = 'Kontext';
$string['copynowshowtoken'] = 'Nový token je zobrazený nižšie. Skopírujte ho teraz, pretože sa znovu nezobrazí.';
$string['createservicedescription'] = 'Služba je súbor funkcií webovej služby. Povolíte používateľovi pristupovať k novej službe. Na stránke <strong>Pridať službu</strong> označte možnosti \'Aktivovať\' a \'Oprávnení používatelia\'. Zvoľte \'Žiadna povinná schopnosť\'.';
$string['createserviceforusersdescription'] = 'Služba je súbor funkcií webovej služby. Povolíte používateľom pristupovať k novej službe. Na stránke <strong>Pridať službu</strong> označte možnosť \'Aktivovať\' a zrušte označenie možnosti \'Oprávnení používatelia\'. Zvoľte \'Žiadna povinná právomoc\'.';
$string['createtoken'] = 'Vytvoriť token';
$string['createtokenforuser'] = 'Vytvoriť token pre používateľa';
$string['createtokenforuserdescription'] = 'Vytvoriť token pre používateľa web služieb.';
$string['createuser'] = 'Vytvoriť špecifického používateľa';
$string['createuserdescription'] = 'Používateľ webovej služby je povinný fungovať v systéme kontrolovateľnom Totarou.';
$string['criteriaerror'] = 'Chýbajúce oprávnenia pre vyhľadávanie kritéria.';
$string['default'] = 'Východzia hodnota je "{$a}"';
$string['deleteaservice'] = 'Vymazať službu';
$string['deleteservice'] = 'Vymazať službu: {$a->name} (identifikátor: {$a->id})';
$string['deleteserviceconfirm'] = 'Odstránenie služby takisto odstráni tokeny, ktoré sa k nej vzťahujú. Skutočne si želáte odstrániť externú službu "{$a}"?';
$string['deletetokenconfirm'] = 'Skutočne si želáte odstrániť tento token webovej služby <strong>{$a->user}</strong> pre službu <strong>{$a->service}</strong>?';
$string['disabledwarning'] = 'Všetky protokoly webových služieb sú zakázané. Nastavenie „Povoliť staršie webové služby“ nájdete v časti Konfigurovať funkcie.';
$string['doc'] = 'Dokumentácia';
$string['docaccessrefused'] = 'Nemáte oprávnenie vidieť dokumentáciu pre tento token';
$string['documentation'] = 'dokumentácia web služieb';
$string['downloadfiles'] = 'Môže sťahovať súbory';
$string['downloadfiles_help'] = 'Ak je táto možnosť aktivovaná, akýkoľvek používateľ môže sťahovať súbory pomocou svojho bezpečnostného kľúča. Samozrejme je to obmedzené na súbory, ktoré sú z portálu oprávnení sťahovať.';
$string['editaservice'] = 'Upraviť službu';
$string['editservice'] = 'Upraviť službu: {$a->name} (identifikátor: {$a->id})';
$string['enabled'] = 'Povolený';
$string['enabledocumentation'] = 'Povoliť dokumentáciu vývojára';
$string['enabledocumentationdescription'] = 'Podrobná dokumentácia webových služieb je dostupná pre aktivované protokoly.';
$string['enableprotocols'] = 'Povoliť protokoly';
$string['enableprotocolsdescription'] = 'Najmenej jeden protokol by mal byť aktivovaný. Z bezpečnostných dôvodov by mali byť aktivované iba skutočne použité protokoly.';
$string['enablews'] = 'Povoliť web služby';
$string['enablewsdescription'] = 'V konfigurácii funkcií musia byť povolené webové služby.';
$string['entertoken'] = 'Zadajte bezpečnostný kľúč/token';
$string['error'] = 'Chyba: {$a}';
$string['errorcatcontextnotvalid'] = 'Nemôžete spúšťať funkcie v kontexte kategórie (category id:{$a->catid}). Chybová správa kontextu bola: {$a->message}';
$string['errorcodes'] = 'Chybová správa';
$string['errorcoursecontextnotvalid'] = 'Nemôžete spúšťať funkcie v kontexte kurzu (course id:{$a->courseid}). Chybová správa kontextu bola: {$a->message}';
$string['errorinvalidparam'] = 'Parameter "{$a}" nie je platný.';
$string['errornotemptydefaultparamarray'] = 'Parameter popisu webovej služby \'{$a}\' má jednoduchú alebo viacnásobnú štruktúru. Štandardne to môže byť iba prázdne pole. Skontrolujte popis webovej služby.';
$string['erroroptionalparamarray'] = 'Parameter popisu webovej služby \'{$a}\' má jednoduchú alebo viacnásobnú štruktúru. Nemôže byť nastavený ako VALUE_OPTIONAL. Skontrolujte popis webovej služby.';
$string['eventwebservicefunctioncalled'] = 'Volaná funkcia webovej služby';
$string['eventwebserviceloginfailed'] = 'Prihlásenie sa do webovej služby bolo neúspešné';
$string['eventwebserviceservicecreated'] = 'Webová služba vytvorená';
$string['eventwebserviceservicedeleted'] = 'Webová služba odstránená';
$string['eventwebserviceserviceupdated'] = 'Webová služba aktualizovaná';
$string['eventwebserviceserviceuseradded'] = 'Používateľ služby webovej služby bol vytvorený';
$string['eventwebserviceserviceuserremoved'] = 'Používateľ služby webovej služby bol odstránený';
$string['eventwebservicetokencreated'] = 'Token webovej služby bol vytvorený';
$string['eventwebservicetokensent'] = 'Token webovej služby bol poslaný';
$string['execute'] = 'Vykonať';
$string['executewarnign'] = 'UPOZORNENIE: Ak stlačíte "vykonať", vaša databáza bude upravená a zmeny nebude možné vrátiť automaticky!';
$string['externalservice'] = 'Externá služba';
$string['externalservicefunctions'] = 'Funkcie externých služieb';
$string['externalservices'] = 'Externé služby';
$string['externalserviceusers'] = 'Používatelia externých služieb';
$string['failedtolog'] = 'Nepodarilo za zapísať do logu';
$string['filenameexist'] = 'Názov súboru už existuje: {$a}';
$string['forbiddenwsuser'] = 'Nemožno vytvoriť token pre používateľa, ktorý je nepotvrdený, odstránený, pozastavený alebo je hosť.';
$string['function'] = 'Funkcia';
$string['functions'] = 'Funkcie';
$string['generalstructure'] = 'Všeobecná štruktúra';
$string['information'] = 'Informácia';
$string['installexistingserviceshortnameerror'] = 'Webová služba so skráteným názvom "{$a}" už existuje. Nedá sa nainštalovať/aktualizovať iná webová služba s týmto skráteným názvom.';
$string['installserviceshortnameerror'] = 'Chyba kódovania: skrátený názov služby "{$a}" by mal obsahovať iba čísla, písmená a "_".';
$string['invalidextparam'] = 'Neplatný externý api parameter: {$a}';
$string['invalidextresponse'] = 'Neplatný externý api parameter: {$a}';
$string['invalidiptoken'] = 'Neplatný token - vaša IP adresa nie je podporovaná';
$string['invalidtimedtoken'] = 'Neplatný token - expiroval';
$string['invalidtoken'] = 'Neplatný token - token nebol nájdený';
$string['iprestriction'] = 'Obmedzenie na IP adresy';
$string['iprestriction_help'] = 'Používateľ bude môcť zavolať web službu z IP adries zo zoznamu';
$string['key'] = 'Kľúč';
$string['keyshelp'] = 'Kľúče sa používajú na prístup do vášho Totara účtu z externých aplikácií.';
$string['loginrequired'] = 'Obmedzené na prihlásených používateľov';
$string['manageprotocols'] = 'Spravovať protokoly';
$string['managetokens'] = 'Spravovať tokeny';
$string['missingcaps'] = 'Chýbajúce schopnosti';
$string['missingcaps_help'] = 'Zoznam povinných právomocí pre službu, ktoré zvolený používateľ nemá. Aby mohol používateľ službu používať, musia sa chýbajúce právomoci pridať do jeho používateľskej roly.';
$string['missingpassword'] = 'Chýbajúce heslo';
$string['missingrequiredcapability'] = 'Právomoc {$a} je povinná.';
$string['missingusername'] = 'Chýbajúci login';
$string['missingversionfile'] = 'Chyba kódovania: pre komponent {$a} chýba súbor version.php';
$string['nameexists'] = 'Tento názov je už používaný inou službou';
$string['nocapabilitytouseparameter'] = 'Používateľ nemá požadovanú právomoc na používanie parametra {$a}';
$string['nofunctions'] = 'Táto služba nemá žiadne funkcie';
$string['norequiredcapability'] = 'Žiadna požadovaná schopnosť';
$string['notoken'] = 'Zoznam tokenov je prázdny';
$string['onesystemcontrolling'] = 'Povoliť externému systému spravovať/kontrolovať Totaru';
$string['onesystemcontrollingdescription'] = 'Nasledujúce kroky vám pomôžu nastaviť webovú službu Totara, aby bolo povolené vzájomné pôsobenie externého systému a Totary. Toto zahrňuje nastavenie metódy overenia tokenu (bezpečnostného kľúča).';
$string['operation'] = 'Operácia';
$string['optional'] = 'Voliteľný';
$string['passwordisexpired'] = 'Platnosť hesla vypršala.';
$string['phpparam'] = 'XML-RPC (PHP štruktúra)';
$string['phpresponse'] = 'XML-RPC (PHP štruktúra)';
$string['postrestparam'] = 'PHP kód pre REST (požiadavka POST)';
$string['potusers'] = 'Žiadni autorizovaní používatelia';
$string['potusersmatching'] = 'Žiadni vyhovujúci autorizovaní používatelia';
$string['print'] = 'Vytlačiť všetkých';
$string['protocol'] = 'Protokol';
$string['removefunction'] = 'Odstrániť';
$string['removefunctionconfirm'] = 'Naozaj chcete odstrániť funkciu "{$a->function}" zo služby "{$a->service}"?';
$string['requireauthentication'] = 'Táto metóda vyžaduje autentifikácie s oprávnením xxx';
$string['required'] = 'Požadovaný';
$string['requiredcapability'] = 'Požadovaná schopnosť';
$string['requiredcapability_help'] = 'Ak je nastavené, iba používatelia s vyžadovanou schopnosťou môžu pristupovať k službe';
$string['requiredcaps'] = 'Požadované schopnosti';
$string['resettokenconfirm'] = 'Naozaj chcete resetovať tento kľúč web služby pre používateľa: <strong>{$a->user}</strong> v službe <strong>{$a->service}</strong>?';
$string['resettokenconfirmsimple'] = 'Naozaj chcete resetovať tento kľúč? Všetky uložené odkazy obsahujúce tento kľúč už nebudú funkčné.';
$string['response'] = 'Odpoveď';
$string['restcode'] = 'REST';
$string['restexception'] = 'REST';
$string['restoredaccountresetpassword'] = 'Obnovený účet potrebuje obnoviť heslo skôr, ako dostane token.';
$string['restparam'] = 'REST (parametre POST)';
$string['restrictedusers'] = 'Iba autorizovaní používatelia';
$string['restrictedusers_help'] = 'Toto nastavenie určuje, či používatelia s oprávnením vytvoriť token web služby môžu vytvoriť token pre túto službu cez stránku s ich bezpečnými kľúčmi alebo či to môžu urobiť iba autorizovaní používatelia.';
$string['securitykey'] = 'Bezpečnostný kľúč (token)';
$string['securitykeys'] = 'Bezpečnostné kľúče';
$string['selectauthorisedusers'] = 'Vybrať autorizovaných používateľov';
$string['selectedcapability'] = 'Vybraní';
$string['selectedcapabilitydoesntexit'] = 'Požadovaná schopnosť vyžadovaná v súčasnosti ({$a}) už neexistuje. Prosím, zmeňte ju a uložte zmeny.';
$string['selectservice'] = 'Vybrať službu';
$string['selectspecificuser'] = 'Vyberte určitého používateľa';
$string['selectspecificuserdescription'] = 'Pridať používateľa web služieb ako autorizovaného používateľa.';
$string['service'] = 'Služba';
$string['servicehelpexplanation'] = 'Služba je skupina funkcií. K službe môžu pristupovať alebo všetci alebo špecifickí používatelia.';
$string['servicename'] = 'Názov služby';
$string['servicenotavailable'] = 'Webová služba nie je dostupná (neexistuje alebo mohla byť deaktivovaná)';
$string['servicesbuiltin'] = 'Vstavané služby';
$string['servicescustom'] = 'Vlastné služby';
$string['serviceusers'] = 'Autorizovaní používatelia';
$string['serviceusersettings'] = 'Nastavenia používateľov';
$string['serviceusersmatching'] = 'Vyhovujúci autorizovaní používatelia';
$string['serviceuserssettings'] = 'Zmeniť nastavenia pre autorizovaných používateľov';
$string['shortnametaken'] = 'Skrátený názov je už používaný inou službou ({$a})';
$string['simpleauthlog'] = 'Jednoduché autentifikačné prihlásenie';
$string['step'] = 'Krok';
$string['supplyinfo'] = 'Viac podrobností';
$string['testauserwithtestclientdescription'] = 'Simulovať externý prístup k službe použitím testovacieho klienta webovej služby. Predtým, ako tak urobíte, prihláste sa ako používateľ so schopnosťou moodle/webservice:createtoken capability a získajte bezpečnostný kľúč (token) cez nastavenia Môj profil. Tento kľúč použijete v testovacom klientovi. V testovacom klientovi si tiež vyberte aktivovaný protokol s overením tokenu. <strong>UPOZORNENIE: Funkcie, ktoré testujete, BUDÚ VYKONANÉ pre tohto používateľa, preto buďte opatrní pri tom, čo si vyberiete testovať!</strong>';
$string['testclient'] = 'Testovací klient web služieb';
$string['testclientdescription'] = '* Testovací klient webovej služby <strong>vykonáva</strong> funkcie <strong>SKUTOČNE</strong>. Netestujte funkcie, ktoré nepoznáte. <br/>* Všetky existujúce funkcie webovej služby ešte nie sú implementované do testovacieho klienta. <br/>* Aby ste si overili, že používateľ nemôže pristupovať k niektorým funkciám, môžete testovať niektoré funkcie, na ktoré nemáte oprávnenia.<br/>* Aby ste jasnejšie videli hlásenia o chybách, nastavte odstraňovanie chýb na <strong>{$a->mode}</strong> do {$a->atag}<br/>* Prístup pre {$a->amfatag}.';
$string['testwithtestclient'] = 'Testovať službu';
$string['testwithtestclientdescription'] = 'Simulujte externý prístup k službe pomocou testovacieho klienta webovej služby. Použite aktivovaný protokol s overením tokenu. <strong>VAROVANIE: Funkcie, ktoré testujete BUDÚ VYKONANÉ, takže buďte opatrní, čo si vyberiete na testovanie!</strong>';
$string['token'] = 'Token';
$string['tokenauthlog'] = 'Autentifikácia tokenu';
$string['tokencreatedbyadmin'] = 'Môže byť resetované iba administrátorom (*)';
$string['tokencreator'] = 'Tvorca';
$string['tokengeneratedsuccess'] = 'Token úspešne generovaný';
$string['unknownoptionkey'] = 'Neznámy kľúč voľby  ({$a})';
$string['unnamedstringparam'] = 'Parameter reťazca nie je pomenovaný.';
$string['updateusersettings'] = 'Aktualizácia';
$string['uploadfiles'] = 'Môže nahrávať súbory';
$string['uploadfiles_help'] = 'Ak je táto možnosť aktivovaná, akýkoľvek používateľ môže nahrávať súbory pomocou svojho bezpečnostného kľúča do vlastných súborov alebo do oblasti konceptov. Platia všetky kvóty používateľských súborov.';
$string['userasclients'] = 'Používatelia ako klienti s tokenom';
$string['userasclientsdescription'] = 'Nasledujúce kroky vám pomôžu nastaviť webovú službu Totara pre používateľov ako klientov. Tieto kroky tiež pomôžu nastaviť odporúčanú metódu overovania tokenov (bezpečnostné kľúče). V tomto prípade použitia používateľ vytvorí svoj token zo stránky bezpečnostných kľúčov cez nastavenia Môjho profilu.';
$string['usermissingcaps'] = 'Chýbajúce schopnosti: {$a}';
$string['usernameorid'] = 'Používateľské meno / ID používateľa';
$string['usernameorid_help'] = 'Vložte používateľské meno alebo ID používateľa.';
$string['usernameoridnousererror'] = 'Nenašli sa žiadni používateľa s týmto používateľským menom/ID používateľa.';
$string['usernameoridoccurenceerror'] = 'Bol nájdený viac ako jeden používateľ s týmto používateľským menom. Prosím, vložte ID používateľa.';
$string['usernotallowed'] = 'Používateľ nemá oprávnenia pre túto službu. Najprv ich potrebujete tomuto používateľovi pridať na stránke administrácie oprávnených používateľov {$a}.';
$string['userservices'] = 'Služby pre používateľov: {$a}';
$string['usersettingssaved'] = 'Používateľské nastavenia uložené';
$string['validuntil'] = 'Platný až do';
$string['validuntil_help'] = 'Ak je nastavené, služba bude deaktivovaná pre tohto používateľa po tomto dátume';
$string['webservice'] = 'Web služba';
$string['webservices'] = 'Web služby';
$string['webservicesoverview'] = 'Prehľad';
$string['webservicetokens'] = 'Tokeny web služieb';
$string['wrongusernamepassword'] = 'Nesprávny login alebo heslo';
$string['wsaccessuserdeleted'] = 'Odmietnutý prístup webovej služby pre odstránené používateľské mená: {$a}';
$string['wsaccessuserexpired'] = 'Odmietnutý prístup webovej služby pre používateľské mená s exspirovaným heslom: {$a}';
$string['wsaccessusernologin'] = 'Odmietnutý prístup webovej služby pre používateľské mená bez autentifikácie prihlásenia : {$a}';
$string['wsaccessusersuspended'] = 'Odmietnutý prístup webovej služby pre pozastavené používateľské mená: {$a}';
$string['wsaccessuserunconfirmed'] = 'Odmietnutý prístup webovej služby pre nepotvrdené používateľské mená: {$a}';
$string['wsclientdoc'] = 'Dokumentácia klienta web služieb Totary';
$string['wsdocapi'] = 'API dokumentácia';
$string['wsdocumentation'] = 'Dokumentácia web služieb';
$string['wsdocumentationdisable'] = 'Dokumentácia web služieb nie je povolená.';
$string['wsdocumentationintro'] = 'Pred vytvorením klienta odporúčame prečítať {$a->doclink}';
$string['wsdocumentationlogin'] = 'alebo zadajte svoje meno a heslo web služby';
$string['wspassword'] = 'Heslo web služieb';
$string['wsusername'] = 'Login web služieb';
